## hashdeep 4.4

=== tests/Makefile ===
# Makefile for the pthreads test suite.
# If all of the .pass files can be created, the test suite has passed.
#
# --------------------------------------------------------------------------
#
#      Pthreads-win32 - POSIX Threads Library for Win32
#      Copyright(C) 1998 John E. Bossom
#      Copyright(C) 1999,2005 Pthreads-win32 contributors
# 
#      Contact Email: rpj@callisto.canberra.edu.au
# 
#      The current list of contributors is contained
#      in the file CONTRIBUTORS included with the source
#      code distribution. The list can also be seen at the
#      following World Wide Web location:
#      http://sources.redhat.com/pthreads-win32/contributors.html
# 
#      This library is free software; you can redistribute it and/or
#      modify it under the terms of the GNU Lesser General Public
#      License as published by the Free Software Foundation; either
#      version 2 of the License, or (at your option) any later version.
# 
#      This library is distributed in the hope that it will be useful,
#      but WITHOUT ANY WARRANTY; without even the implied warranty of
#      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#      Lesser General Public License for more details.
# 
#      You should have received a copy of the GNU Lesser General Public
#      License along with this library in the file COPYING.LIB;
#      if not, write to the Free Software Foundation, Inc.,
#      59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
#

DLL_VER	= 2

CP	= copy
RM	= erase
CAT	= type
MKDIR	= mkdir
TOUCH	= echo Passed >
ECHO	= @echo

QAPC	= ..\QueueUserAPCEx\User\quserex.dll

CPHDR	= pthread.h semaphore.h sched.h

OPTIM	= /O2 /Ob0

XXLIBS	= ws2_32.lib

# C++ Exceptions
VCEFLAGS	= /GX /TP /DPtW32NoCatchWarn /D__CLEANUP_CXX
VCELIB	= pthreadVCE$(DLL_VER).lib
VCEDLL	= pthreadVCE$(DLL_VER).dll
# Structured Exceptions
VSEFLAGS	= /D__CLEANUP_SEH
VSELIB	= pthreadVSE$(DLL_VER).lib
VSEDLL	= pthreadVSE$(DLL_VER).dll
# C cleanup code
VCFLAGS	= /D__CLEANUP_C
VCLIB	= pthreadVC$(DLL_VER).lib
VCDLL	= pthreadVC$(DLL_VER).dll
# C++ Exceptions in application - using VC version of pthreads dll
VCXFLAGS	= /GX /TP /D__CLEANUP_C

# Defaults
CPLIB	= $(VCLIB)
CPDLL	= $(VCDLL)

CFLAGS= $(OPTIM) /W3 /WX /MD /nologo /Yd /Zi
LFLAGS= /INCREMENTAL:NO
INCLUDES=-I.
BUILD_DIR=..

COPYFILES	= $(CPHDR) $(CPLIB) $(CPDLL) $(QAPC)

TEST		=
EHFLAGS	=

# If a test case returns a non-zero exit code to the shell, make will
# stop.

PASSES= sizes.pass  loadfree.pass \
	  self1.pass  mutex5.pass  \
	  mutex1.pass  mutex1n.pass  mutex1e.pass  mutex1r.pass  \
	  semaphore1.pass  semaphore2.pass  semaphore3.pass  \
	  mutex2.pass  mutex3.pass  \
	  mutex2r.pass  mutex2e.pass  mutex3r.pass  mutex3e.pass  \
	  condvar1.pass  condvar1_1.pass  condvar1_2.pass  condvar2.pass  condvar2_1.pass  \
	  exit1.pass  create1.pass  create2.pass  reuse1.pass  reuse2.pass  equal1.pass  \
	  kill1.pass  valid1.pass  valid2.pass  \
	  exit2.pass  exit3.pass  exit4.pass  exit5.pass  \
	  join0.pass  join1.pass  detach1.pass  join2.pass join3.pass  \
	  mutex4.pass  mutex6.pass  mutex6n.pass  mutex6e.pass  mutex6r.pass  \
	  mutex6s.pass  mutex6es.pass  mutex6rs.pass  \
	  mutex7.pass  mutex7n.pass  mutex7e.pass  mutex7r.pass  \
	  mutex8.pass  mutex8n.pass  mutex8e.pass  mutex8r.pass  \
	  count1.pass  \
	  once1.pass  once2.pass  once3.pass  once4.pass  \
	  self2.pass  \
	  cancel1.pass  cancel2.pass  \
	  semaphore4.pass  semaphore4t.pass  semaphore5.pass  \
	  barrier1.pass  barrier2.pass  barrier3.pass  barrier4.pass  barrier5.pass  \
	  tsd1.pass  tsd2.pass  delay1.pass  delay2.pass  eyal1.pass  \
	  condvar3.pass  condvar3_1.pass  condvar3_2.pass  condvar3_3.pass  \
	  condvar4.pass  condvar5.pass  condvar6.pass  \
	  condvar7.pass  condvar8.pass  condvar9.pass  \
	  errno1.pass  \
	  rwlock1.pass  rwlock2.pass  rwlock3.pass  rwlock4.pass  \
	  rwlock5.pass  rwlock6.pass  rwlock7.pass  rwlock8.pass  \
	  rwlock2_t.pass  rwlock3_t.pass  rwlock4_t.pass  rwlock5_t.pass  rwlock6_t.pass  rwlock6_t2.pass  \
	  context1.pass  \
	  cancel3.pass  cancel4.pass  cancel5.pass  cancel6a.pass  cancel6d.pass  \
	  cancel7.pass  cancel8.pass  \
	  cleanup0.pass  cleanup1.pass  cleanup2.pass  cleanup3.pass  \
	  priority1.pass priority2.pass inherit1.pass  \
	  spin1.pass  spin2.pass  spin3.pass  spin4.pass  \
	  exception1.pass  exception2.pass  exception3.pass  \
	  cancel9.pass  create3.pass  stress1.pass

BENCHRESULTS = \
	  benchtest1.bench benchtest2.bench benchtest3.bench benchtest4.bench benchtest5.bench

STRESSRESULTS = \
	  stress1.stress

STATICRESULTS = \
	  self1.pass

help:
	@ $(ECHO) Run one of the following command lines:
	@ $(ECHO) nmake clean VC          (to test using VC dll with VC (no EH) apps)
	@ $(ECHO) nmake clean VC-bench    (to benchtest using VC dll with C bench apps)
	@ $(ECHO) nmake clean VC-stress   (to stresstest using VC dll with C stress apps)
	@ $(ECHO) nmake clean VC-static   (to test using VC static lib with VC (no EH) apps)
	@ $(ECHO) nmake clean VCX         (to test using VC dll with VC++ (EH) applications)
	@ $(ECHO) nmake clean VCX-bench   (to benchtest using VC dll with C++ bench apps)
	@ $(ECHO) nmake clean VCX-stress  (to stresstest using VC dll with C++ stress apps)
	@ $(ECHO) nmake clean VCE         (to test using the VCE dll with VC++ EH applications)
	@ $(ECHO) nmake clean VCE-bench   (to benchtest using VCE dll with C++ bench apps)
	@ $(ECHO) nmake clean VCE-stress  (to stresstest using VCE dll with C++ stress apps)
	@ $(ECHO) nmake clean VSE         (to test using VSE dll with VC (SEH) apps)
	@ $(ECHO) nmake clean VSE-bench   (to benchtest using VSE dll with SEH bench apps)
	@ $(ECHO) nmake clean VSE-stress  (to stresstest using VSE dll with SEH stress apps)

all:
	@ nmake clean VC
	@ nmake clean VCX
	@ nmake clean VCE
	@ nmake clean VSE
	@ nmake clean VC-bench
	@ nmake clean VC-stress

# This allows an individual test application to be made using the default lib.
# e.g. nmake clean test cancel3.exe
test: $(CPLIB) $(CPDLL) $(CPHDR) $(QAPC)

tests: $(CPLIB) $(CPDLL) $(CPHDR) $(QAPC) $(PASSES)
	@ $(ECHO) ALL TESTS PASSED! Congratulations!

benchtests: $(CPLIB) $(CPDLL) $(CPHDR) $(XXLIBS) $(BENCHRESULTS)
	@ $(ECHO) ALL BENCH TESTS DONE.

stresstests: $(CPLIB) $(CPDLL) $(CPHDR) $(STRESSRESULTS)
	@ $(ECHO) ALL STRESS TESTS DONE.

statictests: $(CPLIB) $(CPDLL) $(CPHDR) $(STATICRESULTS)
	@ $(ECHO) ALL STATIC TESTS DONE.
	@ $(ECHO) Build and test the DLL to run all tests.
	@ $(ECHO) The static test only confirms that the .lib links correctly.

sizes.pass: sizes.exe
	@ $(ECHO) ... Running $(TEST)$(DLL_VER) test: $*.exe
	@ .\$*.exe > SIZES.$(TEST)
	@ $(CAT) SIZES.$(TEST)
	@ $(ECHO) ...... Passed
	@ $(TOUCH) $*.pass

$(PASSES): $*.exe
	@ $(ECHO) ... Running $(TEST) test: $*.exe
	@ .\$*.exe
	@ $(ECHO) ...... Passed
	@ $(TOUCH) $*.pass

$(BENCHRESULTS): $*.exe
	@ $(ECHO) ... Running $(TEST) benchtest: $*.exe
	@ .\$*.exe
	@ $(ECHO) ...... Done
	@ $(TOUCH) $*.bench

$(STRESSRESULTS): $*.exe
	@ $(ECHO) ... Running $(TEST) stresstest: $*.exe
	@ .\$*.exe
	@ $(ECHO) ...... Done
	@ $(TOUCH) $*.pass

VC:
	@ nmake TEST="$@" CPLIB="$(VCLIB)" CPDLL="$(VCDLL)" EHFLAGS="$(VCFLAGS)" tests

VCE:
	@ nmake TEST="$@" CPLIB="$(VCELIB)" CPDLL="$(VCEDLL)" EHFLAGS="$(VCEFLAGS)" tests

VSE:	
	@ nmake TEST="$@" CPLIB="$(VSELIB)" CPDLL="$(VSEDLL)" EHFLAGS="$(VSEFLAGS)" tests

VCX:
	@ nmake TEST="$@" CPLIB="$(VCLIB)" CPDLL="$(VCDLL)" EHFLAGS="$(VCXFLAGS)" tests

VC-bench:
	@ nmake TEST="$@" CPLIB="$(VCLIB)" CPDLL="$(VCDLL)" EHFLAGS="$(VCFLAGS)" XXLIBS="benchlib.o" benchtests

VCE-bench:
	@ nmake TEST="$@" CPLIB="$(VCELIB)" CPDLL="$(VCEDLL)" EHFLAGS="$(VCEFLAGS)" XXLIBS="benchlib.o" benchtests

VSE-bench:
	@ nmake TEST="$@" CPLIB="$(VSELIB)" CPDLL="$(VSEDLL)" EHFLAGS="$(VSEFLAGS)" XXLIBS="benchlib.o" benchtests

VCX-bench:
	@ nmake TEST="$@" CPLIB="$(VCLIB)" CPDLL="$(VCDLL)" EHFLAGS="$(VCXFLAGS)" XXLIBS="benchlib.o" benchtests

VC-stress:
	@ nmake TEST="$@" CPLIB="$(VCLIB)" CPDLL="$(VCDLL)" EHFLAGS="$(VCFLAGS)" stresstests

VCE-stress:
	@ nmake TEST="$@" CPLIB="$(VCELIB)" CPDLL="$(VCEDLL)" EHFLAGS="$(VCEFLAGS)" stresstests

VSE-stress:
	@ nmake TEST="$@" CPLIB="$(VSELIB)" CPDLL="$(VSEDLL)" EHFLAGS="$(VSEFLAGS)" stresstests

VCX-stress:
	@ nmake TEST="$@" CPLIB="$(VCLIB)" CPDLL="$(VCDLL)" EHFLAGS="$(VCXFLAGS)" stresstests

VC-static:
	@ nmake TEST="$@" CPLIB="$(VCLIB)" CPDLL="" EHFLAGS="$(VCFLAGS) /DPTW32_STATIC_LIB" statictests

.c.exe:
	@ $(ECHO) $(CC) $(EHFLAGS) $(CFLAGS) $(INCLUDES) $< /Fe$@ /link $(LFLAGS) $(CPLIB) $(XXLIBS)
	@ $(CC) $(EHFLAGS) $(CFLAGS) $(INCLUDES) $< /Fe$@ /link $(LFLAGS) $(CPLIB) $(XXLIBS)

.c.o:
	@ $(ECHO) $(CC) $(EHFLAGS) /c $(CFLAGS) $(INCLUDES) $< /Fo$@
	@ $(CC) $(EHFLAGS) $(CFLAGS) /c $(INCLUDES) $< /Fo$@

.c.i:
	@ $(CC) /P $(EHFLAGS) $(CFLAGS) $(INCLUDES) $<

$(COPYFILES):
	@ $(ECHO) Copying $@
	@ $(CP) $(BUILD_DIR)\$@ .

pthread.dll: $(CPDLL)
	@ $(CP) $(CPDLL) pthread.dll
	@ $(CP) $(CPLIB) pthread.lib

clean:
	- $(RM) *.dll
	- $(RM) *.lib
	- $(RM) pthread.h
	- $(RM) semaphore.h
	- $(RM) sched.h
	- $(RM) *.e
	- $(RM) *.i
	- $(RM) *.obj
	- $(RM) *.pdb
	- $(RM) *.o
	- $(RM) *.asm
	- $(RM) *.exe
	- $(RM) *.pass
	- $(RM) *.bench
	- $(RM) *.log

benchtest1.bench:
benchtest2.bench:
benchtest3.bench:
benchtest4.bench:
benchtest5.bench:

barrier1.pass: semaphore4.pass
barrier2.pass: barrier1.pass
barrier3.pass: barrier2.pass
barrier4.pass: barrier3.pass
barrier5.pass: barrier4.pass
cancel1.pass: create1.pass
cancel2.pass: cancel1.pass
cancel3.pass: context1.pass
cancel4.pass: cancel3.pass
cancel5.pass: cancel3.pass
cancel6a.pass: cancel3.pass
cancel6d.pass: cancel3.pass
cancel7.pass: kill1.pass
cancel8.pass: cancel7.pass
cancel9.pass: cancel8.pass
cleanup0.pass: cancel5.pass
cleanup1.pass: cleanup0.pass
cleanup2.pass: cleanup1.pass
cleanup3.pass: cleanup2.pass
condvar1.pass:
condvar1_1.pass: condvar1.pass
condvar1_2.pass: join2.pass
condvar2.pass: condvar1.pass
condvar2_1.pass: condvar2.pass join2.pass
condvar3.pass: create1.pass condvar2.pass
condvar3_1.pass: condvar3.pass join2.pass
condvar3_2.pass: condvar3_1.pass
condvar3_3.pass: condvar3_2.pass
condvar4.pass: create1.pass
condvar5.pass: condvar4.pass
condvar6.pass: condvar5.pass
condvar7.pass: condvar6.pass cleanup1.pass
condvar8.pass: condvar7.pass
condvar9.pass: condvar8.pass
context1.pass: cancel2.pass
count1.pass: join1.pass
create1.pass: mutex2.pass
create2.pass: create1.pass
create3.pass:
delay1.pass:
delay2.pass: delay1.pass
detach1.pass: join0.pass
equal1.pass: create1.pass
errno1.pass: mutex3.pass
exception1.pass: cancel4.pass
exception2.pass: exception1.pass
exception3.pass: exception2.pass
exit1.pass:
exit2.pass: create1.pass
exit3.pass: create1.pass
exit4.pass:
exit5.pass: kill1.pass
eyal1.pass: tsd1.pass
inherit1.pass: join1.pass priority1.pass
join0.pass: create1.pass
join1.pass: create1.pass
join2.pass: create1.pass
join3.pass: join2.pass
kill1.pass: 
loadfree.pass: pthread.dll
mutex1.pass: self1.pass
mutex1n.pass: mutex1.pass
mutex1e.pass: mutex1.pass
mutex1r.pass: mutex1.pass
mutex2.pass: mutex1.pass
mutex2r.pass: mutex2.pass
mutex2e.pass: mutex2.pass
mutex3.pass: create1.pass
mutex3r.pass: mutex3.pass
mutex3e.pass: mutex3.pass
mutex4.pass: mutex3.pass
mutex5.pass:
mutex6.pass: mutex4.pass
mutex6n.pass: mutex4.pass
mutex6e.pass: mutex4.pass
mutex6r.pass: mutex4.pass
mutex6s.pass: mutex6.pass
mutex6rs.pass: mutex6r.pass
mutex6es.pass: mutex6e.pass
mutex7.pass: mutex6.pass
mutex7n.pass: mutex6n.pass
mutex7e.pass: mutex6e.pass
mutex7r.pass: mutex6r.pass
mutex8.pass: mutex7.pass
mutex8n.pass: mutex7n.pass
mutex8e.pass: mutex7e.pass
mutex8r.pass: mutex7r.pass
once1.pass: create1.pass
once2.pass: once1.pass
once3.pass: once2.pass
once4.pass: once3.pass
priority1.pass: join1.pass
priority2.pass: priority1.pass barrier3.pass
reuse1.pass: create2.pass
reuse2.pass: reuse1.pass
rwlock1.pass: condvar6.pass
rwlock2.pass: rwlock1.pass
rwlock3.pass: rwlock2.pass
rwlock4.pass: rwlock3.pass
rwlock5.pass: rwlock4.pass

=== debian/changelog ===
hashdeep (4.4-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for FTBFS with gcc 11. (Closes: #984166)

 -- Adrian Bunk <bunk@debian.org>  Tue, 23 Nov 2021 20:46:29 +0200

hashdeep (4.4-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: 
      Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Giovani Augusto Ferreira ]
  * Bumped DH level to 13.
  * Bumped Standards-Version to 4.5.1
  * debian/control: Add 'Rules-Requires-Root: no'
  * debian/copyright: updated packaging copyright years.

  [ Samuel Henrique ]
  * Add salsa-ci.yml
  * Configure git-buildpackage for Debian

 -- Giovani Augusto Ferreira <giovani@debian.org>  Tue, 02 Feb 2021 13:41:47 -0300

hashdeep (4.4-6) unstable; urgency=medium

  * Bumped DH level to 12.
  * Bumped Standards-Version to 4.4.0
  * Dropped md5deep transitional package. (Closes: #939241)
  * debian/patches/fix-manpages.patch: updated to all manpages.
  * debian/tests/*: created to provide trivial tests.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Thu, 12 Sep 2019 19:50:18 -0300

hashdeep (4.4-5) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Giovani Augusto Ferreira ]
  * Bumped DH level to 11
  * Bumped Standards-Version to 4.2.1
  * Updated my email address
  * Added upstream metadata file
  * debian/changelog: removed whitespace
  * debian/control:
      - dropped autoreconf depends
      - md5deep: dropped useless priority field
  * debian/copyright: updated URI and packaging copyright years

 -- Giovani Augusto Ferreira <giovani@debian.org>  Tue, 28 Aug 2018 10:41:26 -0300

hashdeep (4.4-4) unstable; urgency=medium

  * debian/watch:
      - Leaving only a repository to avoid conflicting on uscan system.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Thu, 13 Oct 2016 23:59:14 -0300

hashdeep (4.4-3) unstable; urgency=medium

  * New co-maintainer.
  * Update DH level to 10.
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Fixed a typo in Long Description.
      - Updated the Vcs-* fields.
  * debian/copyright:
      - Added myself in debian packaging block.
  * debian/hashdeep.links:
      - Added to enable multi-call for md5deep and others.
        (Closes: #795053, LP: #1525217, #1577293)
  * debian/hashdeep.README.Debian:
      - Removed because the executables links have been restored.
  * debian/patches:
      - Added the '.patch' extension to all patches.
      - Updated fix-manpages.patch to fix a typo too
  * debian/watch
      - Bumped to version 4.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Thu, 22 Sep 2016 10:54:38 -0300

hashdeep (4.4-2) unstable; urgency=medium

  * Team upload.
  * debian/control: fixed the versions in relationship fields to remove md5deep
      from experimental. Thanks to Andreas Beckmann <anbe@debian.org>.
      (Closes: #794045)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 02 Aug 2015 20:34:59 -0300

hashdeep (4.4-1) unstable; urgency=medium

  * Team upload.
  * New package name (the upstream changed the source code name from md5deep
    to hashdeep).
  * New upstream release.
  * Upload to unstable.
  * debian/clean: added tests/{ref,tst}/*.
  * debian/control:
      - Removed the unnecessary packages autotools-dev, rdfind and symlinks
        from Build-Depends field.
      - Reorganized the long description.
      - Updated the Vcs-* fields.
  * debian/copyright:
      - Updated the Source field in header.
      - Updated the upstream copyright years.
  * debian/docs:
      - Renamed to hashdeep.docs.
      - Added the README.md file and removed README.
  * debian/hashdeep.install: added to install the files.
  * debian/hashdeep.README.Debian: added to explain about the new situation of
      the executables.
  * debian/patches/: updated all patches.
  * debian/rules:
      - Added the GOOD_BIN variable, used by tests. However, the tests will
        still disabled because are issues.
      - Removed the override_dh_install target.
  * debian/watch: improved.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 12 Jun 2015 11:45:32 -0300

md5deep (4.3-3) experimental; urgency=medium

  * Team upload.
  * debian/patches/fix-FTBFS-Hurd: added a new fix in another file.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 30 Mar 2015 23:24:16 -0300

md5deep (4.3-2) experimental; urgency=medium

  * Team upload.
  * Migrations:
      - DH level to 9.
      - Using dh-autoreconf now.
  * debian/clean: created to remove files created by upstream.
  * debian/control:
      - Added rdfind and symlinks to Build-Depends field.
      - Added the 'forensics' word to long description.
      - Updated the Standards-Version to 3.9.6.
      - Updated the Vcs-* fields.
  * debian/copyright:
      - Modernized the header.
      - Updated all information.
  * debian/patches/
      - fix-FTBFS-Hurd: added to fix a FTBFS in Hurd.
      - fix-manpages: added to fix some issues in manpages.
  * debian/rules:
      - Added the DEB_BUILD_MAINT_OPTIONS variable to fix the issues
        pointed by blhc.
      - Removed an arbitrary LDFLAGS definition to avoid a non hardening
        action.
  * debian/watch:
      - Added a new source to download new versions.
      - Added an override to use rdfind and symlinks to avoid duplicated files.
      - Improved the current rule.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 29 Mar 2015 22:55:25 -0300

md5deep (4.3-1) UNRELEASED; urgency=low

  [ Christophe Monniez ]
  * Imported Upstream version 4.3

 -- Michael Prokop <mika@debian.org>  Thu, 13 Dec 2012 09:49:19 +0100

md5deep (4.2-1) unstable; urgency=low

  [ Christophe Monniez ]
  * [ef64dec] Removing man pages patch.
  * [bddcf44] Disabling tests.



=== debian/control ===
Source: hashdeep
Section: utils
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Giovani Augusto Ferreira <giovani@debian.org>
Build-Depends: debhelper-compat (=13)
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://md5deep.sf.net
Vcs-Browser: https://salsa.debian.org/pkg-security-team/hashdeep
Vcs-Git: https://salsa.debian.org/pkg-security-team/hashdeep.git

Package: hashdeep
Architecture: any
Provides: md5deep
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: recursively compute hashsums or piecewise hashings
 hashdeep is a set of tools to compute MD5, SHA1, SHA256, tiger
 and whirlpool hashsums of arbitrary number of files recursively.
 .
 The main hashdeep features are:
 .
   * It can compare those hashsums with a list of known hashes;
   * The tools can display those that match the list or those that
     does not match;
   * It can  display a time estimation when processing large files.
   * It can do piecewise hashing (hash input files in arbitrary
     sized blocks).
 .
 This package is useful in forensics investigations.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# This variable is used for upstream tests (dh_auto_test):
export GOOD_BIN = $(CURDIR)/src

%:
	dh $@

# Kept for quick debug purposes.
override_dh_auto_test:

=== debian/watch ===
version=4
https://github.com/jessek/hashdeep/releases .*/archive/(?:release|v)?-?(\d\S+)\.tar\.(?:bz2|gz|xz)

## hashdeep 4.4%2Bgit20170824%2Bds

=== debian/tests/control ===
Test-Command: echo Debian | hashdeep

Test-Command: echo Debian | md5deep

Test-Command: echo Debian | sha1deep

Test-Command: echo Debian | sha256deep

Test-Command: echo Debian | tigerdeep

Test-Command: echo Debian | whirlpooldeep

## hashdeep 4.4+git20170824+ds

=== doc/Makefile ===
# This Makefile is separate from the autotools files in the
# top level directory. It is used only to clean up and
# publish files for the public web site.
#
# $Id: Makefile 252 2010-12-17 17:33:34Z jessekornblum $
#

ALL_FILES = index.html style.css \
	    changes.txt \
	    md5deep.html start-md5deep.html \
	    hashdeep.html start-hashdeep.html


USERNAME = jessekornblum,md5deep
DESTDIR  = web.sourceforge.net:htdocs/

preflight:
	rm -f *~
	grep RBF *.html *.txt

manpages:
	rman -f HTML -S -l "md5deep man page" ../man/md5deep.1 > md5deep.html
	rman -f HTML -S -l "hashdeep man page" ../man/hashdeep.1 > hashdeep.html

changes:
	cp ../NEWS changes.txt

publish:
	rsync -avP -e ssh $(ALL_FILES) $(USERNAME)@$(DESTDIR)

all: manpages changes publish

=== debian/changelog ===
hashdeep (4.4+git20170824+ds-1) unstable; urgency=medium

  * Team upload.
  * d/watch: Rework it to watch the HEAD of upstream's git repo.
  * New upstream version 4.4+git20170824
  * d/p/*:
    - Adapt fix-manpages.patch to new upstream snapshot.
    - Drop 0001-Fix-errors-found-by-clang.patch applied upstream.
    - Introduce drop-sha3deep-from-manpages.patch to drop references to
      non-existing sha3deep binary from manpages (Closes: #1027133).
  * d/copyright: Exclude directories "dist" and "sample-hashes".
  * d/watch: Introduce repack suffix.
  * New upstream version 4.4+git20170824+ds
  * d/copyright:
    - Update the "Files: *" stanza.
    - Update the "Files: debian/*" stanza.
  * d/control:
    - Update the Homepage field.
    - Bump Standards-Version to 4.7.0.
  * d/salsa-ci.yml: Add variable SALSA_CI_DISABLE_BUILD_PACKAGE_ALL.
  * d/gbp.conf:Switch debian-branch to debian/unstable.

 -- Sven Geuer <sge@debian.org>  Tue, 18 Jun 2024 17:01:25 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Giovani Augusto Ferreira <giovani@debian.org>
 Build-Depends: debhelper-compat (=13)
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: http://md5deep.sf.net
+Homepage: https://md5deep.sourceforge.net
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/hashdeep
 Vcs-Git: https://salsa.debian.org/pkg-security-team/hashdeep.git

=== debian/watch ===
version=4
opts=\
	mode=git,\
	gitmode=full,\
	pretty=4.4+git%cd,\
	pgpmode=none,\
    dversionmangle=s/\+ds//,\
    repacksuffix=+ds \
https://github.com/jessek/hashdeep.git \
HEAD
